package com.ozs.web.controller.accountmanagment;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ozs.common.annotation.Log;
import com.ozs.common.core.domain.AjaxResult;
import com.ozs.common.core.domain.entity.SysDictData;
import com.ozs.common.enums.BusinessType;
import com.ozs.common.utils.AppendUtils;
import com.ozs.common.utils.StringUtils;
import com.ozs.entity.BaseRailwayManagement;
import com.ozs.entity.vo.BaseRailwayManagementVo;
import io.swagger.annotations.ApiOperation;
import org.springframework.util.ObjectUtils;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.stream.Collectors;

@RestController
@RequestMapping("/service/msgHearbeatAlarmMessage")
public class MsgHearbeatAlarmMessageController {


    /**
     * 线路管理表分页
     *
     * @param baseRailwayManagementVo
     * @return
     */
    @ApiOperation(value = "线路管理表分页")
    @PostMapping("/list")
    @Log(title = "线路台账管理", businessType = BusinessType.SELECT)
    public AjaxResult selectBaseLineManagement(@RequestBody BaseRailwayManagementVo baseRailwayManagementVo) {
//        LambdaQueryWrapper<BaseRailwayManagement> lw = new LambdaQueryWrapper<>();
//        if (!StringUtils.isBlank(baseRailwayManagementVo.getRailwayCode())) {
//            lw.like(BaseRailwayManagement::getRailwayCode, "%" + baseRailwayManagementVo.getRailwayCode() + "%");
//        }
//        if (!ObjectUtils.isEmpty(baseRailwayManagementVo.getRailwayType()) && baseRailwayManagementVo.getRailwayType() != 0) {
//            lw.eq(BaseRailwayManagement::getRailwayType, baseRailwayManagementVo.getRailwayType());
//        }
//        IPage<BaseRailwayManagement> page = baseRailwayManagementService.page(new Page<>(baseRailwayManagementVo.getPageNum(), baseRailwayManagementVo.getPageSize()), lw);
//        List<SysDictData> data = dictTypeService.selectDictDataByType("railway_type");
//        if (!ObjectUtils.isEmpty(page) && !ObjectUtils.isEmpty(page.getRecords())) {
//            List<BaseRailwayManagement> dto1 = page.getRecords().stream().map(o -> {
//                for (SysDictData datum : data) {
//                    if (datum.getDictValue().equals(o.getRailwayType().toString())) {
//                        o.setRailwayTypeName(datum.getDictLabel());
//                    }
//                }
//                String end = "";
//                if (!StringUtils.isEmptySunhh(o.getInitialMileage())) {
//                    end = AppendUtils.stringAppend(o.getInitialMileage());
//                }
//                String begin = "";
//                if (!StringUtils.isEmptySunhh(o.getEndMileage())) {
//                    begin = AppendUtils.stringAppend(o.getEndMileage());
//                }
//                o.setMilesRange(begin + "-" + end);
//                return o;
//            }).collect(Collectors.toList());
//            page.setRecords(dto1);
//        }
        return AjaxResult.success();
    }
}
